public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-auth/elogind/
Date: Sat, 27 May 2017 07:53:35 +0000 (UTC)	[thread overview]
Message-ID: <1495871600.45bdafa706c09957b864d3d22fe19edce88d4940.asturm@gentoo> (raw)

commit:     45bdafa706c09957b864d3d22fe19edce88d4940
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat May 27 07:32:33 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat May 27 07:53:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45bdafa7

sys-auth/elogind: 229.3 version bump

Thanks-to: Sven Eden <yamakuzure <AT> gmx.net>
Gentoo-bug: 618498
Package-Manager: Portage-2.3.5, Repoman-2.3.1

 sys-auth/elogind/Manifest             |  1 +
 sys-auth/elogind/elogind-229.3.ebuild | 84 +++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/sys-auth/elogind/Manifest b/sys-auth/elogind/Manifest
index 5820d9861df..54db4856b7c 100644
--- a/sys-auth/elogind/Manifest
+++ b/sys-auth/elogind/Manifest
@@ -1 +1,2 @@
 DIST elogind-226.4.tar.gz 698076 SHA256 585ac8746cd81a74f47b4e93cb5f000494da4104ad53da0bae023e1758d0456d SHA512 4eb4da1d0311b2fe2d22fef57143fe8c2280df9f7a2b41e150f4d7e1411bd41eed4648aa3b80ac44d2b533e8c91a482cda7c3e8af85e710fb97e73061726ea12 WHIRLPOOL 8252b4e54830f9e257a28751eb233d4752cff24b4d695c2351f86cc65160ff6577e373cdd667635e0dee00fb63e1a57a7c049105eef9c5e4cd4cb2a7cc991f63
+DIST elogind-229.3.tar.gz 757313 SHA256 8506145e6071a637aec91276e19cd932b3d9cd297c8e833f7b08b8d53fd7a1d7 SHA512 5449f6b8ca1cb14d91681de1273819e193c88f6ec22b790cfe2c9d9d6e0d37bfc3b707a650d14471e0cb3a577289f725e1a47d22a14db2154a2c0552ecde32ca WHIRLPOOL e71fc14453017a570c3c2766b42fb444e41b2a703689e745ea3a01bd915fdab896b4bd3f229f74d438d48b8383a0b590c456b9269a739e9bf7b8d60441fbb33c

diff --git a/sys-auth/elogind/elogind-229.3.ebuild b/sys-auth/elogind/elogind-229.3.ebuild
new file mode 100644
index 00000000000..74c4496adf2
--- /dev/null
+++ b/sys-auth/elogind/elogind-229.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools linux-info pam udev
+
+DESCRIPTION="The systemd project's logind, extracted to a standalone package"
+HOMEPAGE="https://github.com/elogind/elogind"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC0-1.0 LGPL-2.1+ public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="acl debug pam policykit selinux"
+
+COMMON_DEPEND="
+	sys-apps/util-linux
+	sys-libs/libcap
+	virtual/libudev:=
+	acl? ( sys-apps/acl )
+	pam? ( virtual/pam )
+	selinux? ( sys-libs/libselinux )
+"
+RDEPEND="${COMMON_DEPEND}
+	sys-apps/dbus
+	!sys-apps/systemd
+"
+DEPEND="${COMMON_DEPEND}
+	app-text/docbook-xml-dtd:4.2
+	app-text/docbook-xml-dtd:4.5
+	app-text/docbook-xsl-stylesheets
+	dev-util/gperf
+	dev-util/intltool
+	sys-devel/libtool
+	virtual/pkgconfig
+"
+PDEPEND="policykit? ( sys-auth/polkit )"
+
+PATCHES=( "${FILESDIR}/${PN}-226.4-docs.patch" )
+
+pkg_setup() {
+	local CONFIG_CHECK="~CGROUPS ~EPOLL ~INOTIFY_USER ~SECURITY_SMACK
+		~SIGNALFD ~TIMERFD"
+
+	if use kernel_linux; then
+		linux-info_pkg_setup
+	fi
+}
+
+src_prepare() {
+	default
+	eautoreconf # Makefile.am patched by "${FILESDIR}/${P}-docs.patch"
+}
+
+src_configure() {
+	econf \
+		--with-pamlibdir=$(getpam_mod_dir) \
+		--with-udevrulesdir="$(get_udevdir)"/rules.d \
+		--libdir="${EPREFIX}"/usr/$(get_libdir) \
+		--with-rootlibdir="${EPREFIX}"/$(get_libdir) \
+		--enable-smack \
+		--disable-kdbus \
+		$(use_enable debug debug elogind) \
+		$(use_enable acl) \
+		$(use_enable pam) \
+		$(use_enable selinux)
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+
+	newinitd "${FILESDIR}"/${PN}.init ${PN}
+	newconfd "${FILESDIR}"/${PN}.conf ${PN}
+}
+
+pkg_postinst() {
+	if [ "$(rc-config list default | grep elogind)" = "" ]; then
+		ewarn "To enable the elogind daemon, elogind must be"
+		ewarn "added to the default runlevel:"
+		ewarn "# rc-update add elogind default"
+	fi
+}


             reply	other threads:[~2017-05-27  7:53 UTC|newest]

Thread overview: 155+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-27  7:53 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21 13:10 [gentoo-commits] repo/gentoo:master commit in: sys-auth/elogind/ Arthur Zamarin
2024-09-21 13:10 Arthur Zamarin
2024-09-21 13:10 Arthur Zamarin
2024-09-21 13:10 Arthur Zamarin
2024-09-21 13:10 Arthur Zamarin
2024-09-21 13:10 Arthur Zamarin
2024-09-21 13:10 Arthur Zamarin
2024-09-02 18:21 Andreas Sturmlechner
2024-08-28 10:33 Andreas Sturmlechner
2024-08-28  7:59 Andreas Sturmlechner
2024-06-21 14:58 Sam James
2024-06-12 18:43 Mike Gilbert
2024-03-01 22:07 Sam James
2023-08-26 16:04 Arthur Zamarin
2023-08-09 18:14 Piotr Karbowski
2023-06-10 19:08 Sam James
2023-06-10 18:49 Sam James
2023-06-10 18:49 Sam James
2023-05-06 11:34 Sam James
2023-05-06 11:34 Sam James
2022-12-06  6:18 WANG Xuerui
2022-11-10  5:06 Arthur Zamarin
2022-05-17  5:34 Sam James
2022-01-22  9:48 Agostino Sarubbo
2022-01-22  9:45 Agostino Sarubbo
2022-01-21 20:13 Arthur Zamarin
2022-01-21 20:13 Arthur Zamarin
2022-01-21 20:13 Arthur Zamarin
2022-01-21 12:42 Sam James
2022-01-21 12:42 Sam James
2021-11-18 23:08 Piotr Karbowski
2021-06-14  9:12 Andreas Sturmlechner
2021-06-10 18:28 Sam James
2021-06-04 21:49 Yixun Lan
2021-06-03 16:26 Sam James
2021-06-02 10:39 Sam James
2021-05-31  6:11 Agostino Sarubbo
2021-05-31  6:09 Agostino Sarubbo
2021-05-31  6:03 Agostino Sarubbo
2021-05-29 21:19 Andreas Sturmlechner
2021-05-21  0:51 Yixun Lan
2021-03-28 12:56 Piotr Karbowski
2021-02-25 12:50 Andreas Sturmlechner
2021-02-19 12:02 Sam James
2021-02-18 21:47 Sam James
2021-02-18  8:41 Sam James
2021-02-16 12:34 Sam James
2021-02-09 21:31 Sam James
2021-02-06 19:05 Sam James
2021-01-15 16:53 Andreas Sturmlechner
2021-01-15 16:53 Andreas Sturmlechner
2021-01-06 15:43 Piotr Karbowski
2020-11-11 17:16 Piotr Karbowski
2020-07-26 19:24 Piotr Karbowski
2020-07-12 23:07 Andreas Sturmlechner
2020-07-12 23:07 Andreas Sturmlechner
2020-04-19 11:35 Mart Raudsepp
2020-04-15 12:10 Agostino Sarubbo
2020-04-15  8:26 Agostino Sarubbo
2020-04-14 16:45 Agostino Sarubbo
2020-04-14 16:44 Agostino Sarubbo
2020-04-14 16:44 Agostino Sarubbo
2020-04-14 16:43 Agostino Sarubbo
2020-04-07 22:25 Matt Turner
2020-04-07 22:25 Matt Turner
2020-04-04  9:24 Mart Raudsepp
2020-03-02 15:22 Agostino Sarubbo
2020-03-02 12:39 Agostino Sarubbo
2020-03-02 12:38 Agostino Sarubbo
2020-03-02 12:32 Agostino Sarubbo
2020-03-02 12:29 Agostino Sarubbo
2020-03-02 12:28 Agostino Sarubbo
2020-03-01 21:44 Agostino Sarubbo
2019-12-08 10:58 Sergei Trofimovich
2019-12-05  1:09 Matt Turner
2019-12-04 23:09 Matt Turner
2019-12-04 23:09 Matt Turner
2019-12-04 22:43 Matt Turner
2019-12-04 19:44 Sergei Trofimovich
2019-12-02 10:51 Mikle Kolyada
2019-11-26 12:27 Agostino Sarubbo
2019-11-24 21:49 Aaron Bauman
2019-10-12 23:44 Matt Turner
2019-10-12 23:44 Matt Turner
2019-10-12 19:07 Mikle Kolyada
2019-08-05 13:18 Guilherme Amadio
2019-07-18 21:08 Sergei Trofimovich
2019-07-17 19:19 Matt Turner
2019-06-20  9:10 Mikle Kolyada
2019-05-13  9:38 Mikle Kolyada
2019-05-13  4:47 Aaron Bauman
2019-05-13  1:41 Thomas Deutschmann
2019-04-29  8:17 Sergei Trofimovich
2019-04-29  8:17 Sergei Trofimovich
2019-04-26 20:50 Jory Pratt
2019-04-26 20:19 Jory Pratt
2019-04-20 19:09 Aaron Bauman
2019-04-20 18:45 Mikle Kolyada
2019-04-08 22:07 Sergei Trofimovich
2019-04-08 22:07 Sergei Trofimovich
2019-04-03  8:55 Jory Pratt
2019-04-01 21:45 Andreas Sturmlechner
2019-04-01 19:33 Andreas Sturmlechner
2019-04-01 19:33 Andreas Sturmlechner
2019-03-31 20:03 Matt Turner
2019-03-31 20:03 Matt Turner
2019-03-31 20:03 Matt Turner
2019-03-31 20:03 Matt Turner
2019-03-27  8:23 Mikle Kolyada
2019-03-16  5:26 Michael Palimaka
2019-02-15 12:53 Andreas Sturmlechner
2019-01-28  7:20 Mikle Kolyada
2018-12-16 19:30 Andreas Sturmlechner
2018-11-25 23:41 Andreas Sturmlechner
2018-11-25 23:41 Andreas Sturmlechner
2018-11-17  7:24 Michael Palimaka
2018-11-11  0:44 Andreas Sturmlechner
2018-11-10 23:07 Mikle Kolyada
2018-10-23 12:11 Andreas Sturmlechner
2018-08-11 16:44 Andreas Sturmlechner
2018-08-09 12:46 Mikle Kolyada
2018-08-09 12:46 Mikle Kolyada
2018-06-30 20:47 Andreas Sturmlechner
2018-06-30 20:47 Andreas Sturmlechner
2018-05-29 22:25 Andreas Sturmlechner
2018-03-05 22:14 Andreas Sturmlechner
2018-03-05 22:14 Andreas Sturmlechner
2018-03-04 10:06 Andreas Sturmlechner
2018-03-04 10:06 Andreas Sturmlechner
2018-02-01 21:55 Andreas Sturmlechner
2018-02-01 20:37 Thomas Deutschmann
2018-01-31 10:22 Andreas Sturmlechner
2018-01-22 19:53 Andreas Sturmlechner
2018-01-15 23:45 Andreas Sturmlechner
2018-01-15 23:45 Andreas Sturmlechner
2018-01-10 10:00 Andreas Sturmlechner
2017-12-02 22:56 Andreas Sturmlechner
2017-12-02 22:56 Andreas Sturmlechner
2017-11-23 23:26 Andreas Sturmlechner
2017-11-23 23:26 Andreas Sturmlechner
2017-09-26 12:43 Michael Palimaka
2017-07-21  2:41 Mike Gilbert
2017-07-21  2:37 Mike Gilbert
2017-07-17 12:40 Michael Palimaka
2017-07-03 13:29 Michael Palimaka
2017-06-29 13:32 Michael Palimaka
2017-06-25  8:52 Michael Palimaka
2017-06-16 12:32 Michael Palimaka
2017-06-13 11:25 Michael Palimaka
2017-06-06 12:53 Michael Palimaka
2017-05-28  5:37 Michael Palimaka
2017-03-21 10:34 Andreas Sturmlechner
2017-02-12  0:59 Andreas Sturmlechner
2017-02-11 11:29 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1495871600.45bdafa706c09957b864d3d22fe19edce88d4940.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox